





Assets = {


Asset( "IMAGE", "images/inventoryimages/hq.tex" ),
Asset( "ATLAS", "images/inventoryimages/hq.xml" ),

Asset( "IMAGE", "images/inventoryimages/jc.tex" ),
Asset( "ATLAS", "images/inventoryimages/jc.xml" ),



Asset( "IMAGE", "images/inventoryimages/lm.tex" ),
Asset( "ATLAS", "images/inventoryimages/lm.xml" ),

Asset( "IMAGE", "images/inventoryimages/dx.tex" ),
Asset( "ATLAS", "images/inventoryimages/dx.xml" ),

Asset( "IMAGE", "images/inventoryimages/er.tex" ),
Asset( "ATLAS", "images/inventoryimages/er.xml" ),


   Asset("IMAGE", "images/mtabs/mtab.tex"),
    Asset("ATLAS", "images/mtabs/mtab.xml"),
Asset("SOUNDPACKAGE", "sound/yy.fev"),
    Asset("SOUND", "sound/yy.fsb"),



   
    Asset( "IMAGE", "images/saveslot_portraits/mk.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/mk.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/mk.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mk.xml" ),


    Asset( "IMAGE", "images/selectscreen_portraits/mk_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mk_silho.xml" ),
    Asset( "IMAGE", "bigportraits/mk.tex" ),
    Asset( "ATLAS", "bigportraits/mk.xml" ),
     
    Asset( "IMAGE", "images/map_icons/mk.tex" ),
    Asset( "ATLAS", "images/map_icons/mk.xml" ),   

  Asset( "IMAGE", "images/inventoryimages/cl.tex" ),
    Asset( "ATLAS", "images/inventoryimages/cl.xml" ),

     Asset( "IMAGE", "images/inventoryimages/xd.tex" ),
    Asset( "ATLAS", "images/inventoryimages/xd.xml" ),

     Asset( "IMAGE", "images/inventoryimages/ly.tex" ),
    Asset( "ATLAS", "images/inventoryimages/ly.xml" ),

     Asset( "IMAGE", "images/inventoryimages/jl.tex" ),
    Asset( "ATLAS", "images/inventoryimages/jl.xml" ),

     Asset( "IMAGE", "images/inventoryimages/xn.tex" ),
    Asset( "ATLAS", "images/inventoryimages/xn.xml" ),

 Asset( "IMAGE", "images/inventoryimages/dxxd.tex" ),
    Asset( "ATLAS", "images/inventoryimages/dxxd.xml" ),

     Asset( "IMAGE", "images/inventoryimages/dxjl.tex" ),
    Asset( "ATLAS", "images/inventoryimages/dxjl.xml" ),

     Asset( "IMAGE", "images/inventoryimages/dxce.tex" ),
    Asset( "ATLAS", "images/inventoryimages/dxce.xml" ),

     Asset( "IMAGE", "images/inventoryimages/dxxn.tex" ),
    Asset( "ATLAS", "images/inventoryimages/dxxn.xml" ),

}

PrefabFiles = {
"hq", "mk", "jc", "lm", "er", "dx", "ly", "xd", "dxxd", "cl", "dxce", "xn", "dxxn", "jl", "dxjl" }


local require = GLOBAL.require

local Recipe = GLOBAL.Recipe
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local TECH = GLOBAL.TECH


local STRINGS = GLOBAL.STRINGS

local SpawnPrefab = GLOBAL.SpawnPrefab

local TUNING = GLOBAL.TUNING
local GetPlayer = GLOBAL.GetPlayer
local GetWorld = GLOBAL.GetWorld
local GetClock = GLOBAL.GetClock

if GetModConfigData("Language") == false then

STRINGS.NAMES.HQ = "Sakura bouquet"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HQ = "So beautiful"
STRINGS.RECIPE_DESC.HQ = "So beautiful" 

STRINGS.NAMES.LM = "Dragonfly spear"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.LM = "I can feel the heat"
STRINGS.RECIPE_DESC.LM = "Power of dragon" 

STRINGS.NAMES.JC = "Gold hammer"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.JC = "Heavy and powerful"
STRINGS.RECIPE_DESC.JC = "Heavy and powerful" 

STRINGS.NAMES.ER = "Headphone"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ER = "Enjoy my music"
STRINGS.RECIPE_DESC.ER = "Enjoy my music" 

STRINGS.NAMES.DX = "Dragonfly statues"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DX = "It can't fly now"
STRINGS.RECIPE_DESC.DX = "Symbol of victory" 

STRINGS.NAMES.CL = "Moose blueprint"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CL = "make Moose statues"



STRINGS.NAMES.LY = "Dragonfly blueprint"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.LY = "make Dragonfly statues"

STRINGS.NAMES.JL = "Deerclops blueprint"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.JL = "make Deerclops statues"

STRINGS.NAMES.XD = "Bearger blueprint"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.XD = "make Bearger statues"



STRINGS.NAMES.XN = "Minotaur blueprint"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.XN = "make minotaur statues"

STRINGS.NAMES.DXJL = "Deerclops statues"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DXJL = "You can't hit me"
STRINGS.RECIPE_DESC.DXJL = "Symbol of victory" 

STRINGS.NAMES.DXCE = "Moose statues"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DXCE = "Big fat moose"
STRINGS.RECIPE_DESC.DXCE = "Symbol of victory" 

STRINGS.NAMES.DXXD = "Bearger statues"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DXXD = "Very violent"
STRINGS.RECIPE_DESC.DXXD = "Symbol of victory" 

STRINGS.NAMES.DXXN = "minotaur statues"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DXXN = "It seems alive"
STRINGS.RECIPE_DESC.DXXN = "Symbol of victory" 

STRINGS.NAMES.MK = "Miku"

STRINGS.CHARACTER_TITLES.mk = "Miku"
STRINGS.CHARACTER_NAMES.mk = "Miku"
STRINGS.CHARACTER_DESCRIPTIONS.mk = "*Good at making base\n*Not good at fighting\n*Hate expired food"
STRINGS.CHARACTER_QUOTES.mk = "\"Do you want a luxurious home?Chose me!\""
end


if GetModConfigData("Language") == true then

STRINGS.NAMES.HQ = "樱花球"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HQ = "好美"
STRINGS.RECIPE_DESC.HQ = "好漂亮" 

STRINGS.NAMES.DX = "龙蝇雕像"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DX = "它不能飞了"
STRINGS.RECIPE_DESC.DX = "胜利的象征" 

STRINGS.NAMES.LM = "龙蝇战矛"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.LM = "我能感觉到热量"
STRINGS.RECIPE_DESC.LM = "龙的力量" 

STRINGS.NAMES.JC = "黄金锤"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.JC = "小锤锤"
STRINGS.RECIPE_DESC.JC = "大力出奇迹" 

STRINGS.NAMES.ER = "耳机"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ER = "来听音乐"
STRINGS.RECIPE_DESC.ER = "来听音乐" 

STRINGS.NAMES.CL = "蠢鹅图纸"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CL = "有了它才能做蠢鹅雕像"


STRINGS.NAMES.LY = "龙蝇图纸"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.LY = "有了它才能做龙蝇雕像"

STRINGS.NAMES.JL = "巨鹿图纸"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.JL = "有了它才能做巨鹿雕像"

STRINGS.NAMES.XD = "熊大图纸"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.XD = "有了它才能做熊大雕像"

STRINGS.NAMES.XN = "守护者图纸"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.XN = "有了它才能做守护者雕像"

STRINGS.NAMES.DXJL = "巨鹿雕像"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DXJL = "你打不到我"
STRINGS.RECIPE_DESC.DXJL = "胜利的象征" 

STRINGS.NAMES.DXCE = "蠢鹅雕像"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DXCE = "大肥鹅"
STRINGS.RECIPE_DESC.DXCE = "胜利的象征" 

STRINGS.NAMES.DXXD = "熊大雕像"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DXXD = "好凶"
STRINGS.RECIPE_DESC.DXXD = "胜利的象征" 

STRINGS.NAMES.DXXN = "守护者雕像"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DXXN = "好像是活的"
STRINGS.RECIPE_DESC.DXXN = "胜利的象征" 

STRINGS.NAMES.MK = "樱.初音"

STRINGS.CHARACTER_TITLES.mk = "樱.初音"
STRINGS.CHARACTER_NAMES.mk = "樱.初音"
STRINGS.CHARACTER_DESCRIPTIONS.mk = "*建筑能手\n*不擅长战斗\n*讨厌变质食物"
STRINGS.CHARACTER_QUOTES.mk = "\"造家可是我的专长\""
end







table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "mk")




function mkPostInit(mk)

     
    local er = Recipe("er", {Ingredient("transistor", 1), Ingredient("nightmarefuel", 10)}, RECIPETABS.MTAB, {SCIENCE = 0})
    er.atlas = "images/inventoryimages/er.xml"

local jc = Recipe("jc", {Ingredient("cutgrass", 6), Ingredient("twigs", 6), Ingredient("goldnugget", 4)}, RECIPETABS.MTAB, {SCIENCE = 0})
   jc.atlas = "images/inventoryimages/jc.xml"


local lm = Recipe("lm", {Ingredient("spear", 1), Ingredient("redgem", 1), Ingredient("goldnugget", 2)}, RECIPETABS.MTAB, {SCIENCE = 0})
   lm.atlas = "images/inventoryimages/lm.xml"

 local hq = Recipe("hq", {Ingredient("petals", 20), Ingredient("rope", 4)}, RECIPETABS.MTAB, {SCIENCE = 1})
    hq.atlas = "images/inventoryimages/hq.xml"


local ly = Ingredient( "ly", 1)
 ly.atlas = "images/inventoryimages/ly.xml"

local dx = GLOBAL.Recipe("dx",
         {ly, Ingredient("cutstone", 8) 
        },
        RECIPETABS.MTAB, TECH.SCIENCE_ONE, nil, "dx_placer" )
        dx.atlas = "images/inventoryimages/dx.xml"
        dx.image = "dx.tex"

local xd = Ingredient( "xd", 1)
 xd.atlas = "images/inventoryimages/xd.xml"

local dxxd = GLOBAL.Recipe("dxxd",
         {xd, Ingredient("cutstone", 8) 
        },
        RECIPETABS.MTAB, TECH.SCIENCE_ONE, nil, "dxxd_placer" )
        dxxd.atlas = "images/inventoryimages/dxxd.xml"
        dxxd.image = "dxxd.tex"

local cl = Ingredient( "cl", 1)
cl.atlas = "images/inventoryimages/cl.xml"

local dxce = GLOBAL.Recipe("dxce",
         {cl, Ingredient("cutstone", 8) 
        },
        RECIPETABS.MTAB, TECH.SCIENCE_ONE, nil, "dxce_placer" )
        dxce.atlas = "images/inventoryimages/dxce.xml"
        dxce.image = "dxce.tex"

local xn = Ingredient( "xn", 1)
xn.atlas = "images/inventoryimages/xn.xml"

local dxxn = GLOBAL.Recipe("dxxn",
         {xn, Ingredient("cutstone", 8) 
        },
        RECIPETABS.MTAB, TECH.SCIENCE_ONE, nil, "dxxn_placer" )
        dxxn.atlas = "images/inventoryimages/dxxn.xml"
         dxxn.image = "dxxn.tex"

local jl = Ingredient( "jl", 1)
jl.atlas = "images/inventoryimages/jl.xml"

local dxjl = GLOBAL.Recipe("dxjl",
         {jl, Ingredient("cutstone", 8) 
        },
        RECIPETABS.MTAB, TECH.SCIENCE_ONE, nil, "dxjl_placer" )
        dxjl.atlas = "images/inventoryimages/dxjl.xml"
         dxjl.image = "dxjl.tex"

end


function AddMap(inst)
    local minimap = inst.entity:AddMiniMapEntity()
    minimap:SetIcon( inst.prefab .. ".tex" )
end



AddPrefabPostInit("dx", AddMap)
AddMinimapAtlas("images/inventoryimages/dx.xml")
AddPrefabPostInit("dxjl", AddMap)
AddMinimapAtlas("images/inventoryimages/dxjl.xml")
AddPrefabPostInit("dxxd", AddMap)
AddMinimapAtlas("images/inventoryimages/dxxd.xml")
AddPrefabPostInit("dxce", AddMap)
AddMinimapAtlas("images/inventoryimages/dxce.xml")
AddPrefabPostInit("dxxn", AddMap)
AddMinimapAtlas("images/inventoryimages/dxxn.xml")


AddMinimapAtlas("images/map_icons/mk.xml")
AddModCharacter("mk")


AddSimPostInit(function(inst)
        if inst.prefab == "mk" then
               mkPostInit(inst)


        end
end)






if GetModConfigData("Sound") == true then

TUNING.x = "willow"
end
if GetModConfigData("Sound") == false then
    TUNING.x = "wilson"
end

RemapSoundEvent( "yyy/yyy/yyy", "yyy/yyy/yyy" )